import es, gamethread, random, playerlib, math
from css_arpg import css_arpg

def load():
    css_arpg.skills['Shield'] = {
    'information':
    'Creates a shield to block damage! \n\
    When someone attacks you, there is \n\
    a chance a shield will be created\n\
    to block bullets. It is permanent.\n\
    Maximum Level: 10',
    'maximum level':10,
    'Level 1':{
                'cost':1,
                'effectiveness':2
                },
    'Level 2':{
                'cost':2,
                'effectiveness':5
                },
    'Level 3':{
                'cost':3,
                'effectiveness':8
                },
    'Level 4':{
                'cost':4,
                'effectiveness':11
                },
    'Level 5':{
                'cost':5,
                'effectiveness':14
                },
    'Level 6':{
                'cost':6,
                'effectiveness':17
                },
    'Level 7':{
                'cost':7,
                'effectiveness':20
                },
    'Level 8':{
                'cost':8,
                'effectiveness':23
                },
    'Level 9':{
                'cost':9,
                'effectiveness':26
                },
    'Level 10':{
                'cost':10,
                'effectiveness':29
                }    
            }

def player_hurt(ev):
    if ev['attacker'] not in [0,'0']:
        if css_arpg.Player(ev['userid']).effect('Shield') > random.randint(1,100):
            x,y,z = es.getplayerlocation(ev['userid'])
            x1, y1, z1 = es.getplayerlocation(ev['attacker'])
            distance = math.sqrt(math.pow((x-x1), 2) + math.pow((y-y1), 2) + math.pow((z-z1), 2)) - 100
            if distance > 400:
                O = list(playerlib.getPlayer(ev['attacker']).getViewAngle())[1]
                point = [ distance * math.cos(math.radians(O)) + x1, distance * math.sin(math.radians(O)) + y1, z ]
                es.server.cmd('es_xprop_dynamic_create ' + str(es.getcmduserid()) + ' props_combine/combine_booth_short01a.mdl')
                gamethread.delayed(.05, es.setindexprop, (es.ServerVar('eventscripts_lastgive'), "CBaseEntity.m_angRotation", '0,%s,0'%O))
                gamethread.delayed(.05, es.setindexprop, (es.ServerVar('eventscripts_lastgive'), "CBaseEntity.m_vecOrigin", '%s,%s,%s'%(point[0], point[1], z)))