import es, random, weaponlib, playerlib
from css_arpg import css_arpg

_lastgive = es.ServerVar('eventscripts_lastgive')

def load():
    css_arpg.skills['Treasure Hunter'] = {
    'information':
    'You can find treasure in breakable props\n\
    You may find weapons, armor, health,\n\
    cash, even credits or XP inside props\n\
    that are breakable. Chance to find\n\
    find something is equal to your level.\n\
Maximum Level: 100',
    'maximum level':100
    }
    for x in range(0,101):
        css_arpg.skills['Treasure Hunter']['Level %s'%x] = {'cost':1, 'effectiveness':x}
        
    es.reload('css_arpg/treasure/color')

def break_prop(ev):
    if css_arpg.Player(ev['userid']).effect('Treasure Hunter'):
        roll(ev['userid'])

def break_breakable(ev):
    if css_arpg.Player(ev['userid']).effect('Treasure Hunter'):
        roll(ev['userid'])

def roll(userid):
    if css_arpg.Player(userid).effect('Treasure Hunter') > random.randint(1,100):
        es.server.cmd('es_xprop_dynamic_create %s props_c17/tv_monitor01_screen.mdl' % userid)
        location = list(es.getindexprop(_lastgive, 'CBaseEntity.m_vecOrigin'))
        es.server.cmd('es_xremove ' + _lastgive)
        x,y,z = playerlib.getPlayer(userid).viewVector()
        es.server.queuecmd('treasure_color %s'%userid)
        x = random.randint(1,3)
        if x == 3:
            weapon = random.choice(weaponlib.getWeaponList())
            es.give(userid, weapon)
            css_arpg.rpgTell(userid, 'hunted', {'treasure':'a %s'%weapon.replace('weapon_', '')})
        if x == 2:
            y = random.randint(1,50) * css_arpg.Player(userid).level
            es.setplayerprop(userid, "CCSPlayer.m_iAccount", int(es.getplayerprop(userid, "CCSPlayer.m_iAccount")) + y)
            css_arpg.rpgTell(userid, 'hunted', {'treasure':'$%s'%y})
        if x == 1:
            y = random.randint(1,5) * css_arpg.Player(userid).level
            es.setplayerprop(userid, "CBasePlayer.m_iHealth", int(es.getplayerprop(userid, "CBasePlayer.m_iHealth")) + y)
            css_arpg.rpgTell(userid, 'hunted', {'treasure':'%s health'%y})
    if css_arpg.Player(userid).effect('Treasure Hunter') == random.randint(90,100):
        x = random.randint(1,2)
        found = 0
        if x == 1:
            css_arpg.Player(userid).givecredits(css_arpg.Player(userid).level / random.randint(1,5))
            found = 'credits'
        else:
            css_arpg.Player(userid).givexp(random.randint(100 * css_arpg.Player(userid).level,500 * css_arpg.Player(userid).level))
            found = 'XP'
        css_arpg.rpgTell(userid, 'hunted uber', {'treasure':found})
    